Subject: Re: bug#64311: [PATCH] Fix shell-dirtrack-mode showing up as enabled in unrelated buffers

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Jul 2023 19:42:30 -0400

Vladimir Sedach [2023-07-04 16:27:17] wrote:
> Stefan Monnier <[email-masked]> writes:
>> I don't know what backward-incompatible you're referring to.
> I wanted to replace the defvaralias with
> define-obsolete-variable-alias,

`define-obsolete-variable-alias` includes `defvaralias`.
It just adds an obsolescence warning, but doesn't introduce any actual
changes in behavior.

> and Eli says that shell-dirtrackp should not be marked obsolete, which
> makes sense.

Not sure if it makes sense, but if that's his preference, it's OK with
me (the name `shell-dirtrackp` is fundamentally wrong since it's
a boolean variable and not a predicate (which is where the "p" suffix
is used), but I can live with it).

        Stefan